"""
Function of this code: the merge of methods used to transform DNA sequences to numerical values.
Contact for help: gch_liu@163.com 
"""

from feature_extract import feature_extract
import numpy as np
def recode_alignmentfree(data_1):
    data_1_num=len(data_1);
    feature_v=np.zeros((data_1_num,152));
    for ms in range(0,data_1_num):
        print("recode total",data_1_num,"，now no.",ms)
        feature_v[ms,:]=feature_extract(data_1[ms]);

    recode=feature_v;
    return recode
